Debian Bug report logs - #687099
live-boot: Breaks booting when used from Squeeze

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: adrian15 <adrian15sgd@gmail.com>

Date: Sun, 9 Sep 2012 16:57:02 UTC

Severity: minor

Tags: moreinfo

Fixed in version live-boot/3.0~b3-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#687099; Package live-boot. (Sun, 09 Sep 2012 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 09 Sep 2012 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-boot: Breaks booting when used from Squeeze
Date: Sun, 09 Sep 2012 18:55:06 +0200
Package: live-boot
Version: 3.0~b2-1
Severity: important

When building an Squeeze debian live cd inside an Squeeze system and 
trying to use live-boot* packages from unstable seems to be broken.

When I boot I get:

Loading, please wait..., run-init: nuking initramfs contents: Directory 
not empty. Kernel panic - not syncing: Attempted to kill init.

How to reproduce a minimal bootable iso:
---------------------------------------
#!/bin/bash
RESCATUX_STR="rescatux"
TEMP_FOLDER="/tmp/${RESCATUX_STR}-tmp-build-$$"
SID_CHROOT_CONFIG="config/chroot_sources/sid.chroot"
CHROOT_SOURCES_FOLDER="config/chroot_sources"
APT_PREFERENCES="config/chroot_apt/preferences"
CHROOT_APT_CONFIG_FOLDER="config/chroot_apt"

SID_MIRROR="http://snapshot.debian.org/archive/debian/20120727T111800Z/"


mkdir --parents $TEMP_FOLDER/${CHROOT_SOURCES_FOLDER}
mkdir --parents $TEMP_FOLDER/${CHROOT_APT_CONFIG_FOLDER}

echo -e -n "deb ${SID_MIRROR} sid main" > $TEMP_FOLDER/${SID_CHROOT_CONFIG}
cat >>$TEMP_FOLDER/${APT_PREFERENCES} <<END

Package: live-boot
Pin: release n=sid
Pin-Priority: 600

Package: live-boot-initramfs-tools
Pin: release n=sid
Pin-Priority: 600

Package: live-config
Pin: release n=sid
Pin-Priority: 600

Package: live-config-sysvinit
Pin: release n=sid
Pin-Priority: 600

Package: *
Pin: release n=sid
Pin-Priority: 1

END
cd $TEMP_FOLDER
lh config -d squeeze \
  --apt-options "--yes -o Acquire::Check-Valid-Until=false"

sudo lb build

echo -e -n "\nLocalizacion: ${TEMP_FOLDER}\n"

How to reproduce a minimal NON bootable iso:
--------------------------------------------
#!/bin/bash
RESCATUX_STR="rescatux"
TEMP_FOLDER="/tmp/${RESCATUX_STR}-tmp-build-$$"
SID_CHROOT_CONFIG="config/chroot_sources/sid.chroot"
CHROOT_SOURCES_FOLDER="config/chroot_sources"
APT_PREFERENCES="config/chroot_apt/preferences"
CHROOT_APT_CONFIG_FOLDER="config/chroot_apt"

SID_MIRROR="http://ftp.de.debian.org/debian/"


mkdir --parents $TEMP_FOLDER/${CHROOT_SOURCES_FOLDER}
mkdir --parents $TEMP_FOLDER/${CHROOT_APT_CONFIG_FOLDER}

echo -e -n "deb ${SID_MIRROR} sid main" > $TEMP_FOLDER/${SID_CHROOT_CONFIG}
cat >>$TEMP_FOLDER/${APT_PREFERENCES} <<END

Package: live-boot
Pin: release n=sid
Pin-Priority: 600

Package: live-boot-initramfs-tools
Pin: release n=sid
Pin-Priority: 600

Package: live-config
Pin: release n=sid
Pin-Priority: 600

Package: live-config-sysvinit
Pin: release n=sid
Pin-Priority: 600

Package: *
Pin: release n=sid
Pin-Priority: 1

END
cd $TEMP_FOLDER
lh config -d squeeze

sudo lb build

echo -e -n "\nLocalizacion: ${TEMP_FOLDER}\n"

---------------
When I force the old version from snapshots.debian.org which it is 
3.0~a38-1 it boots without any problem.. If I use the current version 
which it is 3.0~b2-1 then I get the kernel panic error.

This error is quite probably related to: #685375 because it gets the 
same kernel error.


-- Package-specific info:

-- System Information:
Debian Release: 6.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (x86_64)

Kernel: Linux 3.2.21 (SMP w/4 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#687099; Package live-boot. (Sun, 09 Sep 2012 17:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 09 Sep 2012 17:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 687099@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: adrian15 <adrian15sgd@gmail.com>
Cc: <687099@bugs.debian.org>
Subject: Re: Bug#687099: live-boot: Breaks booting when used from Squeeze
Date: Sun, 09 Sep 2012 19:14:33 +0200
severity 687099 minor
tag 687099 moreinfo
thanks

On 2012-09-09 18:55, adrian15 wrote:
> When building an Squeeze debian live cd inside an Squeeze system and
> trying to use live-boot* packages from unstable seems to be broken.

did you use live-build 3.x to build the squeeze images? if not, rebuild 
with latest live-build 3.x.

> 
> SID_MIRROR="http://snapshot.debian.org/archive/debian/20120727T111800Z/"

[...]

this is not supported that way anyway.

if you want to use live-{boot,config} 3.x on squeeze, you do need to 
rebuild them on squeeze first (and put them into your own repository, or 
as local packages into the config tree). live-* 3.x builds different 
packages depending on where it was built, and adjust any boot parameters 
for 3.x manually within live-builds config tree.

additionally, you need matching live-boot and live-config versions, 
mixing random pre-latest-sid versions doesn't work either.

last but not least, this is a minor bug. live-* 3.x primeraly is for 
wheezy, not for squeeze although we try to keep compatibility with one 
release before the target release whenever we can.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       
http://people.progress-technologies.net/~daniel.baumann/



Severity set to 'minor' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 09 Sep 2012 17:18:07 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 09 Sep 2012 17:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#687099; Package live-boot. (Sun, 09 Sep 2012 17:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 09 Sep 2012 17:39:05 GMT) Full text and rfc822 format available.

Message #19 received at 687099@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 687099@bugs.debian.org
Subject: Re: Bug#687099: live-boot: Breaks booting when used from Squeeze
Date: Sun, 09 Sep 2012 19:34:01 +0200
First of all I've managed to fix the problem on the fly inspired from 
the related bug.

So you boot with break=init and I run:

mkdir -p live
mount -t tmpfs tmpfs /live
exit

and the system seems to boot ok.


El 09/09/12 19:14, Daniel Baumann escribió:
>
> On 2012-09-09 18:55, adrian15 wrote:
>> When building an Squeeze debian live cd inside an Squeeze system and
>> trying to use live-boot* packages from unstable seems to be broken.
>
> did you use live-build 3.x to build the squeeze images? if not, rebuild
> with latest live-build 3.x.
No. I use live-build 2.x because I'm on squeeze but I'll manage to use 
live-build 3.x as per your suggestion.
>
>>
>> SID_MIRROR="http://snapshot.debian.org/archive/debian/20120727T111800Z/"
>
> [...]
>
> this is not supported that way anyway.
>
> if you want to use live-{boot,config} 3.x on squeeze, you do need to
> rebuild them on squeeze first (and put them into your own repository, or
> as local packages into the config tree). live-* 3.x builds different
> packages depending on where it was built, and adjust any boot parameters
> for 3.x manually within live-builds config tree.
So I need to rebuild them... hummm... that's not quite what I had 
understood you are probably right. It's quite stunning that using apt 
pinning for using 3.x live-boot has worked so well over the last four 
months.
>
> additionally, you need matching live-boot and live-config versions,
> mixing random pre-latest-sid versions doesn't work either.
You're right. I should have checked the snapshots date according to many 
packages not just live-boot one.
>
> last but not least, this is a minor bug. live-* 3.x primeraly is for
> wheezy, not for squeeze although we try to keep compatibility with one
> release before the target release whenever we can.
Ok.

So... I'll try your pieces of advice. I think you can close the bug.

Thank you!



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 26 Sep 2012 12:51:08 GMT) Full text and rfc822 format available.

Notification sent to adrian15 <adrian15sgd@gmail.com>:
Bug acknowledged by developer. (Wed, 26 Sep 2012 12:51:08 GMT) Full text and rfc822 format available.

Message #24 received at 687099-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 687099-close@bugs.debian.org
Subject: Bug#687099: fixed in live-boot 3.0~b3-1
Date: Wed, 26 Sep 2012 12:47:38 +0000
Source: live-boot
Source-Version: 3.0~b3-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687099@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 26 Sep 2012 14:40:32 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~b3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 687099 688782
Changes: 
 live-boot (3.0~b3-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Always move live filesystem mounts to /root within initramfs,
     regardless if mountpoint already exists or not (Closes: #688782).
 .
   [ Gaudenz Steinlin ]
   * Removing mountpoint if no persistence layer is found on a device.
 .
   [ Daniel Baumann ]
   * Exposing rofs and persistence mounts under /live in the live
     systems, not just initramfs only (Closes: #687099).
   * Updating code for exposing of overlay mounts under /live too.
Checksums-Sha1: 
 daa932c693842c0a65f12d536ea66bc4029c1746 1376 live-boot_3.0~b3-1.dsc
 33a9ad54e74d46ac0df06c3d2d2a546982ca799d 58892 live-boot_3.0~b3.orig.tar.xz
 651b2a5fe4be3e748954eadb358371ce8aeb23d9 21196 live-boot_3.0~b3-1.debian.tar.xz
 8cd412b81c236614e9e1dd06f686541c4ab1832b 46992 live-boot_3.0~b3-1_all.deb
 d96b1aa770c9576836579def628102b38db5a8a8 50580 live-boot-doc_3.0~b3-1_all.deb
 c61efa700fe913b4f3dbc4c89d678bd8485e8c14 24926 live-boot-initramfs-tools_3.0~b3-1_all.deb
Checksums-Sha256: 
 8d589f16d636b0ff7a9c5bab2e838363f4ebebf9ea2e2d9589650341691e937b 1376 live-boot_3.0~b3-1.dsc
 87304318f45d2983175830a598d3dc9e479ce015ccb8eb84e3b8203af93f97c4 58892 live-boot_3.0~b3.orig.tar.xz
 1dfc001a04f464b8f17cd1b6793815165d50e88ce49a8f0486af7678b55baf6b 21196 live-boot_3.0~b3-1.debian.tar.xz
 c92419abd74abb499dbee4011637a2478476b9262951a67edddea3a02479ba0c 46992 live-boot_3.0~b3-1_all.deb
 3b3299a407a8c1d22cf5dabf6bafabbccfcbc8ae52b4d05dc9619d9dd0ad5edc 50580 live-boot-doc_3.0~b3-1_all.deb
 c9053e965324406c95f99f4ca4793030a5603c312e09bf1c6499671d6d929965 24926 live-boot-initramfs-tools_3.0~b3-1_all.deb
Files: 
 e69dcda8264f1f35471a36a80aabbc1c 1376 misc optional live-boot_3.0~b3-1.dsc
 94cdeccd4a44c84586aef4433c61ae1d 58892 misc optional live-boot_3.0~b3.orig.tar.xz
 42b97db1e209f0398d682580249bc1fe 21196 misc optional live-boot_3.0~b3-1.debian.tar.xz
 8ea5ad5d3e79a8a6061d7c78a032819b 46992 misc optional live-boot_3.0~b3-1_all.deb
 fb2d9526e698ea380607eb5b9f8e95d1 50580 doc optional live-boot-doc_3.0~b3-1_all.deb
 e96b052e502299fe29e76c0288d86b69 24926 misc optional live-boot-initramfs-tools_3.0~b3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlBi+G8ACgkQ+C5cwEsrK56dLgCgqhrl7/5cKjEvxtA5t7nc7FuP
YTAAoL+FjhGsD0WkX/O7y9oWhgzUbPf+
=A3ze
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:28:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:47:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.